@import url('https://fonts.googleapis.com/css2?family=VT323&display=swap');

body {
    margin: 0;
    font-family: 'VT323', monospace;
}

canvas.lost {
    filter: blur(10px);
}

#hud {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;

    font-size: 50px;

    display: grid;
    grid-row-gap: 50px;
    grid-template-columns: 300px 1fr 300px;
    
    div {
        // border: 1px solid rgba(0, 0, 0, 0.8);
        padding: 20px;

        &:nth-child(1) { text-align: left }

        &:nth-child(3) { text-align: right }
    }
}

#gameOver {
    position: fixed;
    top: -200px;
    right: 0;
    width: 100%;
    height: 100%;
    
    font-size: 150px;

    display: none;
    justify-content: center;
    align-items: center;

    &.lost {
        display: flex;
    }
}